PQoS Class Reference

`#include <qos.h>`

Inheritance diagram for PQoS:

## Public Member Functions

| PQoS ()
| PQoS (DWORD avgBytesPerSec, DWORD winServiceType, int DSCPalternative=-1, DWORD maxFrameBytes=1500, DWORD peakBytesPerSec=QOS_NOT_SPECIFIED)
| PQoS (int DSCPvalue)
void | SetAvgBytesPerSec (DWORD avgBytesPerSec)
void | SetWinServiceType (DWORD winServiceType)
void | SetDSCP (int DSCPvalue)
void | SetMaxFrameBytes (DWORD maxFrameBytes)
void | SetPeakBytesPerSec (DWORD peakBytesPerSec)
DWORD | GetTokenRate () const
DWORD | GetTokenBucketSize () const
DWORD | GetPeakBandwidth () const
DWORD | GetServiceType () const
int | GetDSCP () const
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Static Public Member Functions

static void | SetDSCPAlternative (DWORD winServiceType, UINT dscp)
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...

## Static Public Attributes

static char | bestEffortDSCP
static char | controlledLoadDSCP
static char | guaranteedDSCP

## Protected Attributes

int | dscp
DWORD | tokenRate
DWORD | tokenBucketSize
DWORD | peakBandwidth
DWORD | serviceType

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Constructor & Destructor Documentation

## PQoS() [1/3]

PQoS::PQoS | ( |  | ) |

## PQoS() [2/3]

PQoS::PQoS | ( | DWORD | avgBytesPerSec,
|  | DWORD | winServiceType,
|  | int | DSCPalternative = `-1`,
|  | DWORD | maxFrameBytes = `1500`,
|  | DWORD | peakBytesPerSec = `QOS_NOT_SPECIFIED`
| ) |  |

## PQoS() [3/3]

PQoS::PQoS | ( | int | DSCPvalue | ) |

## Member Function Documentation

## GetDSCP()

int PQoS::GetDSCP | ( |  | ) | const

inline

References dscp, and SetDSCPAlternative().

## GetPeakBandwidth()

DWORD PQoS::GetPeakBandwidth | ( |  | ) | const

inline

References peakBandwidth.

## GetServiceType()

DWORD PQoS::GetServiceType | ( |  | ) | const

inline

References serviceType.

## GetTokenBucketSize()

DWORD PQoS::GetTokenBucketSize | ( |  | ) | const

inline

References tokenBucketSize.

## GetTokenRate()

DWORD PQoS::GetTokenRate | ( |  | ) | const

inline

References tokenRate.

## SetAvgBytesPerSec()

void PQoS::SetAvgBytesPerSec | ( | DWORD | avgBytesPerSec | ) |

## SetDSCP()

void PQoS::SetDSCP | ( | int | DSCPvalue | ) |

## SetDSCPAlternative()

static void PQoS::SetDSCPAlternative | ( | DWORD | winServiceType,
|  | UINT | dscp
| ) |  |

static

Referenced by GetDSCP().

## SetMaxFrameBytes()

void PQoS::SetMaxFrameBytes | ( | DWORD | maxFrameBytes | ) |

## SetPeakBytesPerSec()

void PQoS::SetPeakBytesPerSec | ( | DWORD | peakBytesPerSec | ) |

## SetWinServiceType()

void PQoS::SetWinServiceType | ( | DWORD | winServiceType | ) |

## Member Data Documentation

## bestEffortDSCP

char PQoS::bestEffortDSCP

static

## controlledLoadDSCP

char PQoS::controlledLoadDSCP

static

## dscp

int PQoS::dscp

protected

Referenced by GetDSCP().

## guaranteedDSCP

char PQoS::guaranteedDSCP

static

## peakBandwidth

DWORD PQoS::peakBandwidth

protected

Referenced by GetPeakBandwidth().

## serviceType

DWORD PQoS::serviceType

protected

Referenced by GetServiceType().

## tokenBucketSize

DWORD PQoS::tokenBucketSize

protected

Referenced by GetTokenBucketSize().

## tokenRate

DWORD PQoS::tokenRate

protected

Referenced by GetTokenRate().

The documentation for this class was generated from the following file:

- qos.h